Random letters
Most popular
Newest
Latest
ce face iubitaaa meaaaaaaaa???? clar inca te iubesc si o sa fi soulmate-ul meu, nici nu ma indoiesc de asta. is curioasa ce ne ofera viata. esti mai fericita? ai iubit intr-un sfarsit???? oare eu...

Read full letter

Hello Adam in the future. Throughout this school year I would like to learn more about the world in general. More about jobs and what is to come in the future. I hope to make many new friends this...

Read full letter

Oi, eu. Eu sei. Você sempre sentiu que não pertencia totalmente. Como se estivesse um passo fora da roda, olhando a vida acontecer pros outros enquanto você tentava entender qual era o seu...

Read full letter

Labas, Simai, Čia Tau rašo Lina iš praeities {{{{: Dabar yra 2012-12-04 diena, Tu geri braškių arbatą ir žaidi savo paauglišką šaudynių žaidimą, o Henrikas guli skalbinių dėžėje...

Read full letter

Ech, Was forced to Make another one of these, SO, I guess I'll just Put random shiz here. Holly, Gabe, and Sela are all bein Butz still, And Everything at the House is... Alright... I guess......

Read full letter

 
Back
 
 
Next
 
Phrase of the day
 
Create a promise
 
Write a letter